# 5. API Reference | FFmodAssetTable

This documentation is preliminary and is subject to change.

Properties:

- FFMODAssetTable::StudioSystem
- FFMODAssetTable::GuidMap
- FFMODAssetTable::NameMap
- FFMODAssetTable::FullNameLookup
- FFMODAssetTable::MasterBankPath
- FFMODAssetTable::MasterStringsBankPath
- FFMODAssetTable::MasterAssetsBankPath
- FFMODAssetTable::BankPathLookup

Methods:

- FFMODAssetTable::Create
- FFMODAssetTable::Destroy
- FFMODAssetTable::Refresh
- FFMODAssetTable::FindByName
- FFMODAssetTable::GetBankPath
- FFMODAssetTable::GetMasterBankPath
- FFMODAssetTable::GetMasterStringsBankPath
- FFMODAssetTable::GetMasterAssetsBankPath